unit uDemoSimple;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, uMASelectionControl, uMASelectionCreator, uMAClasses, uMATypeLibrary,
  uMASelectionManager, StdCtrls, jpeg, TMultiP;

type
  TfrmDemoSimple = class(TForm)
    Panel1: TPanel;
    SelectionManager1: TSelectionManager;
    Label1: TLabel;
    Image1: TImage;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    SelectionCreator1: TSelectionCreator;
    SelectionControl1: TSelectionControl;
    cbToolShape: TComboBox;
    procedure cbToolShapeChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDemoSimple: TfrmDemoSimple;

implementation

{$R *.DFM}

procedure TfrmDemoSimple.FormCreate(Sender: TObject);
begin
 cbToolShape.ItemIndex := 0;
 SelectionManager1.LockToCursor := True; // Responsible for Selection dragging
end;

procedure TfrmDemoSimple.cbToolShapeChange(Sender: TObject);
begin
  SelectionCreator1.SelectionShapetype := TSelectionShapetype(cbToolShape.ItemIndex);
end;

end.
